Bug 11761 - xf86-video-newport fails with XAA because of undefined symbol XAACreateInfoRec
Summary: xf86-video-newport fails with XAA because of undefined symbol XAACreateInfoRec
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/newport (show other bugs)
Version: 7.2 (2007.02)
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords: patch
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-07-29 02:34 UTC by Brice Goglin
Modified: 2008-02-25 06:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
proposed patch (1.15 KB, patch)
2008-02-25 02:54 UTC, Julien Cristau
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Goglin 2007-07-29 02:34:39 UTC
Reported by Alvaro Llamas on the Debian BTS 8 months ago, probably still applies since I didn't find any significant change in the server and in the driver. I am not sure which of them should be fixed though. I am assigning to newport for now since I am not aware of any other driver with this problem.

Starting X using the newport driver (without XAA explicitly disabled) fails with:

> /usr/bin/X11/X: symbol lookup error:
> /usr/lib/xorg/modules/drivers/newport_drv.so: undefined symbol: XAACreateInfoRec
> XIO:  fatal IO error 131 (Connection reset by peer) on X server ":0.0"
>      after 0 requests (0 known processed) with 0 events remaining.

People worked around the problem with
  Option "no_accel"
(for instance http://www.mail-archive.com/debian-mips@lists.debian.org/msg06376.html)

Brice
Comment 1 Michel Dänzer 2007-07-29 23:35:26 UTC
Looks like the driver simply doesn't load the xaa module before calling XAACreateInfoRec.
Comment 2 Julien Cristau 2008-02-25 02:54:23 UTC
Created attachment 14555 [details] [review]
proposed patch
Comment 3 Julien Cristau 2008-02-25 02:55:32 UTC
(In reply to comment #1)
> Looks like the driver simply doesn't load the xaa module before calling
> XAACreateInfoRec.
> 
It seems that xaa is only loaded if NoAccel is set to true. Brilliant :)
Comment 4 Julien Cristau 2008-02-25 06:19:58 UTC
(In reply to comment #1)
> Looks like the driver simply doesn't load the xaa module before calling
> XAACreateInfoRec.
> 
Fixed in git:
commit 86b6bb11ffc4bce5886b5bc28b8df41af89f0925
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Feb 25 11:52:20 2008 +0100

    Bug#11761: Fix xaa initialization
    
    Load the xaa module when NoAccel is unset, so it actually has a chance
    to work.

Comment 5 Julien Cristau 2008-02-25 06:43:07 UTC
On Mon, Feb 25, 2008 at 02:55:32 -0800, bugzilla-daemon@freedesktop.org wrote:

> It seems that xaa is only loaded if NoAccel is set to true.
> 
Fixed in git:
commit 86b6bb11ffc4bce5886b5bc28b8df41af89f0925
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Feb 25 11:52:20 2008 +0100

    Bug#11761: Fix xaa initialization
    
    Load the xaa module when NoAccel is unset, so it actually has a chance
    to work.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.